Bug 1417531 - Review Request: memleax - Debugs memory leak of a running process
Summary: Review Request: memleax - Debugs memory leak of a running process
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2017-01-30 06:28 UTC by wubingzheng
Modified: 2020-08-10 00:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-10 00:56:28 UTC
Type: ---


Attachments (Terms of Use)

Description wubingzheng 2017-01-30 06:28:36 UTC
Spec URL: http://wubingzheng.github.io/memleax/downloads/memleax.spec

SRPM URL: http://wubingzheng.github.io/memleax/downloads/memleax-1.0.2-1.el7.centos.src.rpm

Description:
Memleax debugs memory leak of a running process by attaching it.
It is very convenient to use, and suitable for production environment.
There is no need to recompile the program or restart the target process.

Fedora Account System Username: wubingzheng

Koji Task: https://koji.fedoraproject.org/koji/taskinfo?taskID=17492107

Project Page: http://wubingzheng.github.io/memleax/


This is my first package and I need a sponsor.

Comment 1 Raphael Groner 2017-02-01 00:47:32 UTC
You need a sponsor to get sponsored into packager group.

Please follow the official process: https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 2 wubingzheng 2017-02-01 13:50:22 UTC
(In reply to Raphael Groner from comment #1)
> You need a sponsor to get sponsored into packager group.
> 
> Please follow the official process:
> https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Thanks, Groner.

Here is more infomation:

I am the author of memleax.
I think it's a good tool to debug memory leak. It has 362 stars in GitHub by now, and has helped somebody indeed.
I want to get it into EPEL and maintain it, and only it.

I do not know any sponsors, so maybe I should just wait for some days.

Comment 5 Package Review 2020-07-10 00:55:34 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 6 Package Review 2020-08-10 00:56:28 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.